# -*- coding: utf-8 -*-
"""
Created on Sat Jan 30 23:25:00 2021

@author: kourf
"""

# Représentation avec listes de succcesseurs

amisgratuits = {'Léa': ['Anne', 'Cyril', 'Paul'],
                'Anne': ['Léa', 'Cyril', 'Paul', 'Yvan'],
                'Paul': ['Anne', 'Yvan', 'Léa'],
                'Cyril': ['Léa', 'Anne', 'Yvan'],
                'Yvan': ['Cyril', 'Anne', 'Paul'],
                'Jon': ['Emy', 'Marc'],
                'Marc': ['Jon', 'Emy'],
                'Emy': ['Jon', 'Marc']              
                }

blabla = {'Xan': ['Kim', 'Samir'],
          'Kim': ['Enea', 'Zoé'],
          'Samir': ['Zoé'],
          'Zoé': ['Luc', 'Enea'],
          'Enea': ['Marie'],
          'Luc': ['Enea', 'Marie'],
          'Marie': ['Enea'],
          'Alain': ['Zoé', 'Luc', 'Marie']
          }

routes = {'A': {'B': 156, 'T': 157}, 
          'B': {'A': 156, 'T': 245, 'CF': 373, 'P': 584, 'C': 699},
          'C': {'B': 699, 'CF': 584, 'P': 356},
          'CF': {'B': 373, 'C': 716, 'P': 425, 'L': 167, 'T': 378},
          'L': {'M': 305, 'T': 467, 'CF': 167, 'P': 491, 'S': 489},
          'M': {'T': 243, 'L': 305},
          'P': {'S': 490, 'L': 491, 'CF': 425, 'B': 584, 'C': 356},
          'S': {'L': 489, 'P': 490},
          'T': {'A': 157, 'B': 245, 'CF': 378, 'L': 467, 'M': 243}
          }

# Représentation avec matrices d'adjacence

amisgratuits_sommets = ['Anne', 'Cyril', 'Emy', 'Jon', 'Léa',
                        'Marc', 'Paul', 'Yvan']

amisgratuits_matrice = [[0, 1, 0, 0, 1, 0, 1, 1],
                        [1, 0, 0, 0, 1, 0, 0, 1],
                        [0, 0, 0, 1, 0, 1, 0, 0],
                        [0, 0, 1, 0, 0, 1, 0, 0],
                        [1, 1, 0, 0, 0, 0, 1, 0],
                        [0, 0, 1, 1, 0, 0, 0, 0],
                        [1, 0, 0, 0, 1, 0, 0, 1],
                        [1, 1, 0, 0, 0, 0, 1, 0]]

blabla_sommets = ['Alain', 'Enea', 'Kim', 'Luc', 'Marie',
                  'Samir', 'Xan', 'Zoé']

blabla_matrice = [[0, 0, 0, 1, 1, 0, 0, 1],
                  [0, 0, 0, 0, 1, 0, 0, 0],
                  [0, 1, 0, 0, 0, 0, 0, 1],
                  [0, 1, 0, 0, 1, 0, 0, 0],
                  [0, 1, 0, 0, 0, 0, 0, 0],
                  [0, 0, 0, 0, 0, 0, 0, 1],
                  [0, 0, 1, 0, 0, 1, 0, 0],
                  [0, 1, 0, 1, 0, 0, 0, 0]]

routes_sommets = ['A', 'B', 'C', 'CF', 'L', 'M', 'P', 'S', 'T']

routes_matrice = [[0, 156, 0, 0, 0, 0, 0, 0, 157],
                  [156, 0, 699, 373, 0, 0, 584, 0, 245],
                  [0, 699, 0, 716, 0, 0, 356, 0, 0],
                  [0, 373, 716, 0, 167, 0, 425, 0, 378],
                  [0, 0, 0, 167, 0, 305, 491, 489, 467],
                  [0, 0, 0, 0, 305, 0, 0, 0, 243],
                  [0, 584, 356, 425, 491, 0, 0, 490, 0],
                  [0, 0, 0, 0, 489, 0, 490, 0, 0],
                  [157, 245, 0, 378, 467, 243, 0, 0, 0]]















